/* SPDX-License-Identifier: (GPL-2.0 OR BSD-3-Clause) */
/*
 * Copyright (c) 2022 MediaTek Inc.
 */

#ifndef MTK_DMX_TSO_H
#define MTK_DMX_TSO_H

int mtk_dmx_tso_in_config(struct mtk_msource_settings *src, int tso_index);
int mtk_dmx_tso_out_config(
		int tso_index,
		u32 rateKHz,
		bool bUseCi2Clk,
		bool isParallel,
		bool bClk_sample_inv);
int mtk_dmx_tso_cilink_config(struct mtk_dmx_rm *rm, int cilink_index);
void mtk_dmx_tso_feed(u16 eng, u64 paddr, u32 size);

#endif
